quizappProject/urls.py
from django.contrib import admin
from django.urls import path, include
from quizapp import views
urlpatterns = [
    path('admin/', admin.site.urls),
    path('', views.index, name='index'),
    path('teams', views.teams, name='teams'),
    path('quiz/<int:quiz_id>/', views.quiz, name='quiz'),
    path('quiz/<int:quiz_id>/results/', views.results, name='results'),
    path('quiz/<int:quiz_id>/addtopic', views.addtopic, name='addtopic'),
    path('quiz/<int:quiz_id>/newtopic/', views.newtopic, name='newtopic'),
    path('newquiz/', views.newquiz, name='newquiz'),
    path('addquiz/', views.addquiz, name='addquiz'),
    path('deletequiz/<int:quiz_id>/', views.deletequiz, name='deletequiz'),
    path('editquiz/<int:quiz_id>/', views.editquiz, name='editquiz'),
    path('edittopic/<int:topic_id>/', views.edittopic, name='edittopic'),
    path('topic/<int:topic_id>', views.topic, name='topic'),
    path('deletetopic/<int:topic_id>/', views.deletetopic, name='deletetopic'),
    path('quiz/topic/<int:topic_id>/newquestion/', views.newquestion, name='newquestion'),
    path('quiz/topic/<int:topic_id>/addquestion/', views.addquestion, name='addquestion'),
    path('question/<int:question_id>', views.question, name='question'),
    path('deletequestion/<int:question_id>/', views.deletequestion, name='deletequestion'),
    path('editquestion/<int:question_id>/', views.editquestion, name='editquestion'),
    path('newteam/', views.newteam, name='newteam'),
    path('addteam/', views.addteam, name='addteam'),
    path('newregistration/', views.createnewregistration, name='createnewregistration'),
    path('addregistration/', views.createaddregistration, name='createaddregistration'),
    path('team/<int:team_id>/', views.team, name='team'),
    path('deleteteam/<int:team_id>/', views.deleteteam, name='deleteteam'),
    path('editteam/<int:team_id>/', views.editteam, name='editteam'),
    path('registrations/<int:team_id>/', views.registrations, name='registrations'),
    path('registrationsbyquiz/<int:quiz_id>/', views.registrationsbyquiz, name='registrationsbyquiz'),
    path('addregistration/<int:team_id>/<int:quiz_id>/<int:view_quiz>/', views.addregistration, name='addregistration'),
    path('deleteregistration/<int:team_id>/<int:quiz_id>/<int:view_quiz>/', views.deleteregistration, name='deleteregistration'),
    path('quiz/<int:question_id>/addpoints', views.addpoints, name='addpoints'),
    path('quiz/<int:question_id>/newpoints/', views.newpoints, name='newpoints'),
]

quizapp/models.py
from django.db import models

class Quiz(models.Model):
    start = models.DateTimeField('start time', auto_now_add=False)
    end = models.DateTimeField('end time', auto_now_add=False)

    def __str__(self):
        if self.start.strftime("%d. %m. %Y") == self.end.strftime("%d. %m. %Y"):
            return self.start.strftime("%d. %m. %Y")
        else:
            return self.start.strftime("%d. %m. %Y") + ' - ' + self.end.strftime("%d. %m. %Y")


class Topic(models.Model):
    quiz = models.ForeignKey(Quiz, on_delete=models.CASCADE)
    name = models.CharField(max_length=100)
    description = models.TextField()
    image = models.TextField(blank=True)

    def __str__(self):
        return self.name

class Question(models.Model):
    topic = models.ForeignKey(Topic, on_delete=models.CASCADE)
    question_text = models.TextField()
    answer = models.TextField()
    max_points = models.PositiveSmallIntegerField()

    def __str__(self):
        return str(self.topic) + ' - ' + self.question_text

class Team(models.Model):
    name = models.CharField(max_length=50)
    captain_name = models.CharField(max_length=50)
    captain_surname = models.CharField(max_length=50)
    phone_number = models.CharField(max_length=15)
    email = models.CharField(max_length=100)
    number_of_members = models.PositiveSmallIntegerField()

    def __str__(self):
        return self.name

class Registration(models.Model):
    quiz = models.ForeignKey(Quiz, on_delete=models.CASCADE)
    team = models.ForeignKey(Team, on_delete=models.CASCADE)
    time = models.DateTimeField()

    def __str__(self):
        return str(self.team) + ', ' + str(self.quiz)

class Points(models.Model):
    question = models.ForeignKey(Question, on_delete=models.CASCADE)
    team = models.ForeignKey(Team, null=True, on_delete=models.SET_NULL)
    number_of_points = models.PositiveSmallIntegerField()

quizapp/forms.py
from django import forms
from .models import Topic, Quiz, Question, Team, Points, Registration

class TopicForm(forms.ModelForm):
    class Meta:
        model = Topic
        exclude = ['quiz']

class QuizForm(forms.ModelForm):
    start = forms.DateTimeField(
        input_formats = ['%Y-%m-%dT%H:%M'],
        widget = forms.DateTimeInput(
            attrs={
                'type': 'datetime-local',
                'class': 'form-control'},
            format='%Y-%m-%dT%H:%M')
        )
    end = forms.DateTimeField(
        input_formats = ['%Y-%m-%dT%H:%M'],
        widget = forms.DateTimeInput(
            attrs={
                'type': 'datetime-local',
                'class': 'form-control'},
            format='%Y-%m-%dT%H:%M')
        )
    class Meta:
        model = Quiz
        fields = ('start','end')

class QuestionForm(forms.ModelForm):
    class Meta:
        model = Question
        exclude = ['topic']

class TeamForm(forms.ModelForm):
    class Meta:
        model = Team
        fields = ('name','captain_name','captain_surname','phone_number','email','number_of_members')

class PointsForm(forms.Form):
    def __init__(self, *args, **kwargs):
        teams = kwargs.pop('teams')
        question = kwargs.pop('question')
        super(PointsForm, self).__init__(*args, **kwargs)
        counter = 1
        for i, team in enumerate(teams):
            try:
                p = Points.objects.get(team=team, question=question)
                init_points = p.number_of_points
            except Points.DoesNotExist:
                init_points = 0
            self.fields[str(team.id)] = forms.IntegerField(
                label=team.name,
                max_value=question.max_points,
                min_value=0,
                initial=init_points
                )

class RegistrationForm(forms.ModelForm):
    class Meta:
        model = Registration
        exclude = ['time']

quizapp/views.py
from django.shortcuts import render, get_object_or_404, redirect
#from django.http import HttpResponse
from .models import Quiz, Question, Topic, Registration, Team, Points
from .forms import TopicForm, QuizForm, QuestionForm, TeamForm, PointsForm, RegistrationForm
from datetime import datetime

def index(request):
    quizzes = Quiz.objects.all()
    return render(request, 'quizapp/index.html', {'quizzes':quizzes})

def quiz(request, quiz_id):
    quiz = get_object_or_404(Quiz,pk=quiz_id)
    topics = Topic.objects.filter(quiz=quiz)
    return render(request, 'quizapp/quiz.html', {'quiz':quiz, 'topics':topics})

def addtopic(request, quiz_id):
    quiz = get_object_or_404(Quiz,pk=quiz_id)
    if request.method == 'POST':
        topic_form = TopicForm(request.POST)
        if topic_form.is_valid():
            Topic(quiz=quiz, name=topic_form.cleaned_data['name'], description=topic_form.cleaned_data['description']).save()
            return redirect('quiz', quiz_id=quiz.id)

def newtopic(request, quiz_id):
    quiz = get_object_or_404(Quiz,pk=quiz_id)
    topic_form = TopicForm()
    return render(request, 'quizapp/newtopic.html', {'quiz':quiz, 'topic_form':topic_form})

def addquiz(request):
    if request.method == 'POST':
        quiz_form = QuizForm(request.POST)
        if quiz_form.is_valid():
            Quiz(start=quiz_form.cleaned_data['start'], end=quiz_form.cleaned_data['end']).save()
            return redirect('index')

def newquiz(request):
    quiz_form = QuizForm()
    return render(request, 'quizapp/newquiz.html', {'quiz_form':quiz_form})

def editquiz(request, quiz_id):
    quiz = get_object_or_404(Quiz, id=quiz_id)
    form = QuizForm(request.POST or None, instance=quiz)
    if form.is_valid():
        form.save()
        return redirect('index')
    return render(request, 'quizapp/editquiz.html', {'quiz_form': form, 'quiz':quiz})

def deletequiz(request, quiz_id):
    quiz = Quiz.objects.get(id=quiz_id)
    quiz.delete()
    return redirect('index')

def topic(request, topic_id):
    topic = get_object_or_404(Topic,pk=topic_id)
    questions = Question.objects.filter(topic=topic)
    return render(request, 'quizapp/topic.html', {'topic':topic, 'questions':questions})

def edittopic(request, topic_id):
    topic = get_object_or_404(Topic, id=topic_id)
    form = TopicForm(request.POST or None, instance=topic)
    if form.is_valid():
        form.save()
        return redirect('quiz', quiz_id=topic.quiz.id)
    return render(request, 'quizapp/edittopic.html', {'topic_form': form, 'topic':topic})

def deletetopic(request, topic_id):
    topic = Topic.objects.get(id=topic_id)
    topic.delete()
    return redirect('quiz', quiz_id=topic.quiz.id)

# def newquestion(request, topic_id):
#     topic = get_object_or_404(Topic, id=topic_id)
#     form = QuestionForm(request.POST)
#     if form.is_valid():
#         Question(
#             topic=topic,
#             question_text=form.cleaned_data['question_text'],
#             answer=form.cleaned_data['answer'],
#             max_points=form.cleaned_data['max_points']
#         ).save()
#         return redirect('topic', topic_id=topic.id)
#         form.save()
#     return render(request, 'quizapp/newquestion.html', {'question_form': form, 'topic':topic})

def addquestion(request, topic_id):
    topic = get_object_or_404(Topic,pk=topic_id)
    if request.method == 'POST':
        question_form = QuestionForm(request.POST)
        if question_form.is_valid():
            Question(
                topic=topic,
                question_text=question_form.cleaned_data['question_text'],
                answer=question_form.cleaned_data['answer'],
                max_points=question_form.cleaned_data['max_points']
            ).save()
            return redirect('topic', topic_id=topic.id)

def newquestion(request, topic_id):
    topic = get_object_or_404(Topic,pk=topic_id)
    question_form = QuestionForm()
    return render(request, 'quizapp/newquestion.html', {'question_form': question_form, 'topic':topic})

def question(request, question_id):
    question = get_object_or_404(Question,pk=question_id)
    return render(request, 'quizapp/question.html', {'question':question})

def editquestion(request, question_id):
    question = get_object_or_404(Question, id=question_id)
    form = QuestionForm(request.POST or None, instance=question)
    if form.is_valid():
        form.save()
        return redirect('question', question_id=question.id)
    return render(request, 'quizapp/editquestion.html', {'question_form': form, 'question':question})

def deletequestion(request, question_id):
    question = Question.objects.get(id=question_id)
    question.delete()
    return redirect('topic', topic_id=question.topic.id)

def teams(request):
    teams = Team.objects.all()
    return render(request, 'quizapp/teams.html', {'teams':teams})

def addteam(request):
    if request.method == 'POST':
        team_form = TeamForm(request.POST)
        if team_form.is_valid():
            Team(
                name=team_form.cleaned_data['name'],
                captain_name=team_form.cleaned_data['captain_name'],
                email=team_form.cleaned_data['email'],
                captain_surname=team_form.cleaned_data['captain_surname'],
                phone_number=team_form.cleaned_data['phone_number'],
                number_of_members=team_form.cleaned_data['number_of_members']
                ).save()
            return redirect('teams')

def newteam(request):
    team_form = TeamForm()
    return render(request, 'quizapp/newteam.html', {'team_form':team_form})

def team(request, team_id):
    team = get_object_or_404(Team,pk=team_id)
    registrations = Registration.objects.filter(team=team)
    upcoming_quizzes = [x.quiz for x in registrations if x.quiz in Quiz.objects.filter(start__gte=datetime.now())]
    passed_quizzes = [x.quiz for x in registrations if x.quiz in Quiz.objects.filter(start__lt=datetime.now())]
    return render(request, 'quizapp/team.html', {'team':team, 'upcoming_quizzes':upcoming_quizzes, 'passed_quizzes':passed_quizzes})

def editteam(request, team_id):
    team = get_object_or_404(Team, id=team_id)
    form = TeamForm(request.POST or None, instance=team)
    if form.is_valid():
        form.save()
        return redirect('team', team_id=team.id)
    return render(request, 'quizapp/editteam.html', {'team_form': form, 'team':team})

def deleteteam(request, team_id):
    team = Team.objects.get(id=team_id)
    team.delete()
    return redirect('teams')

def registrations(request, team_id):
    team = get_object_or_404(Team,pk=team_id)
    registrations = Registration.objects.filter(team=team)
    upcoming_quizzes = Quiz.objects.filter(start__gte=datetime.now())
    quizzes_registered = [x for x in upcoming_quizzes if x in [y.quiz for y in registrations]]
    quizzes_not_registered = [x for x in upcoming_quizzes if x not in quizzes_registered]
    return render(request, 'quizapp/registrations.html', {'team':team, 'quizzes_registered':quizzes_registered, 'quizzes_not_registered':quizzes_not_registered})

def registrationsbyquiz(request, quiz_id):
    quiz = get_object_or_404(Quiz,pk=quiz_id)
    registrations = Registration.objects.filter(quiz=quiz)
    teams = Team.objects.all()
    teams_registered = [x.team for x in registrations]
    teams_not_registered = [x for x in teams if x not in teams_registered]
    return render(request, 'quizapp/registrationsbyquiz.html', {'teams_registered':teams_registered, 'teams_not_registered':teams_not_registered, 'quiz':quiz})

def addregistration(request, team_id, quiz_id, view_quiz):
    team = get_object_or_404(Team,pk=team_id)
    quiz = get_object_or_404(Quiz,pk=quiz_id)
    if quiz.end.replace(tzinfo=None) > datetime.now():
        Registration(
            team=team,
            quiz=quiz,
            time=datetime.now()
        ).save()
    if view_quiz == 1:
        return redirect('registrationsbyquiz', quiz_id = quiz.id)
    return redirect('registrations', team_id = team.id)

def deleteregistration(request, team_id, quiz_id, view_quiz):
    team = get_object_or_404(Team,pk=team_id)
    quiz = get_object_or_404(Quiz,pk=quiz_id)
    registration = get_object_or_404(Registration,team=team,quiz=quiz)
    if quiz.end.replace(tzinfo=None) > datetime.now():
        registration.delete()
    if view_quiz == 1:
        return redirect('registrationsbyquiz', quiz_id = quiz.id)
    return redirect('registrations', team_id = team.id)


def addpoints(request, question_id):
    question = get_object_or_404(Question,pk=question_id)
    registrations = Registration.objects.filter(quiz=question.topic.quiz)
    teams = [x.team for x in registrations]
    if request.method == 'POST':
        form = PointsForm(request.POST, teams=teams, question=question)
        if form.is_valid():
            all_fields = form.fields.keys()
            for field in all_fields:
                team = get_object_or_404(Team,pk=int(field))
                try:
                    p = Points.objects.get(team=team, question=question)
                    p.number_of_points = form.cleaned_data[field]
                    p.save()
                except Points.DoesNotExist:
                    Points(
                        question=question,
                        team=team,
                        number_of_points=form.cleaned_data[field]
                    ).save()
            return redirect('question', question_id=question.id)
    return redirect('index')

def newpoints(request, question_id):
    question = get_object_or_404(Question,pk=question_id)
    registrations = Registration.objects.filter(quiz=question.topic.quiz)
    teams = [x.team for x in registrations]

templates/quizapp/editquestion.html
{% extends "quizapp/base.html" %}
{% load crispy_forms_tags %}
{% block title %} | Otázka {% endblock %}
{% block body %}
    <div class="card" >
        <div class="card-body">
            <h5 class="card-title">Upravit otázku</h5>
            <form action="{% url 'editquestion' question.id %}" method="post">{% csrf_token %}
                {{ question_form|crispy }}
                <input class="btn btn-primary" type="submit" value="Submit">
            </form>
        </div>
    </div>
{% endblock %}

templates/quizapp/editquiz.html
{% extends "quizapp/base.html" %}
{% load crispy_forms_tags %}
{% block title %} | Kvíz {{ quiz.start }}{% endblock %}
{% block body %}
    <div class="card" >
        <div class="card-body">
            <h5 class="card-title">Upravit kvíz</h5>
            <form action="{% url 'editquiz' quiz.id %}" method="post">{% csrf_token %}
                {{ quiz_form|crispy }}
                <input class="btn btn-primary" type="submit" value="Submit">
            </form>
        </div>
    </div>
{% endblock %}

templates/quizapp/editteam.html
{% extends "quizapp/base.html" %}
{% load crispy_forms_tags %}
{% block title %} | Tým {{ team.name }}{% endblock %}
{% block body %}
    <div class="card" >
        <div class="card-body">
            <h5 class="card-title">Upravit tým</h5>
            <form action="{% url 'editteam' team.id %}" method="post">{% csrf_token %}
                {{ team_form|crispy }}
                <input class="btn btn-primary" type="submit" value="Submit">
            </form>
        </div>
    </div>
{% endblock %}

templates/quizapp/edittopic.html
{% extends "quizapp/base.html" %}
{% load crispy_forms_tags %}
{% block title %} | Téma {{ topic.name }}{% endblock %}
{% block body %}
    <div class="card" >
        <div class="card-body">
            <h5 class="card-title">Upravit kvíz</h5>
            <form action="{% url 'edittopic' topic.id %}" method="post">{% csrf_token %}
                {{ topic_form|crispy }}
                <input class="btn btn-primary" type="submit" value="Submit">
            </form>
        </div>
    </div>
{% endblock %}

templates/quizapp/newquiz.html
{% extends "quizapp/base.html" %}
{% load crispy_forms_tags %}
{% block title %} | Nový kvíz {% endblock %}
{% block body %}
    <div class="card" >
        <div class="card-body">
            <h5 class="card-title">Nový kvíz</h5>
            <form action="{% url 'addquiz' %}" method="post">{% csrf_token %}
                {{ quiz_form|crispy }}
                <input class="btn btn-primary" type="submit" value="Submit">
            </form>
        </div>
    </div>
{% endblock %}

templates/quizapp/newteam.html
{% extends "quizapp/base.html" %}
{% load crispy_forms_tags %}
{% block title %} | Nový tým {% endblock %}
{% block body %}
    <div class="card" >
        <div class="card-body">
            <h5 class="card-title">Nový tým</h5>
            <form action="{% url 'addteam' %}" method="post">{% csrf_token %}
                {{ team_form|crispy }}
                <input class="btn btn-primary" type="submit" value="Submit">
            </form>
        </div>
    </div>
{% endblock %}

templates/quizapp/newtopic.html
{% extends "quizapp/base.html" %}
{% load crispy_forms_tags %}
{% block title %} | Nové téma - {{ quiz.start|date:"d. m. Y" }}{% endblock %}
{% block body %}
    <div class="card" >
        <div class="card-body">
            <h5 class="card-title">Nové téma</h5>
            <form action="{% url 'addtopic' quiz.id %}" method="post">{% csrf_token %}
                {{ topic_form|crispy }}
                <input class="btn btn-primary" type="submit" value="Submit">
            </form>
        </div>
    </div>
{% endblock %}

templates/quizapp/question.html
{% extends "quizapp/base.html" %}
{% block title %} | Otázka {{ question.topic.name }}{% endblock %}
{% block body %}
    <div class="row h-100" style="border: 0; background: linear-gradient(to bottom, rgba(255,255,255,0) 20%, rgba(255,255,255,1)), url({% if question.topic.image and question.topic.image.strip %}{{ question.topic.image }}{% else %}https://wallpapercave.com/wp/wp2013746.jpg{% endif %}); background-repeat: no-repeat; background-size: cover ">
        <div class="col-12 ">
        <div class="row d-flex justify-content-center">
        <div class="card bg-light col-11" style="padding: 0; margin-top: 8rem">
            <div class="card-header">
                <div class="row">
                    <ol class="breadcrumb" style="background-color: transparent; padding-top: 0; padding-bottom: 0">
                        <li class="breadcrumb-item">
                            <a href="{% url 'quiz' question.topic.quiz.id %}" style="color: inherit">
                            {{ question.topic.quiz.start|date:"d. m. Y" }}
                                {% if question.topic.quiz.start|date:"d. m. Y" != question.topic.quiz.end|date:"d. m. Y" %}
                                    - {{ question.topic.quiz.end|date:"d. m. Y" }}
                                {% endif %}
                            </a>
                        </li>
                        <li class="breadcrumb-item" aria-current="page">
                            <a href="{% url 'topic' question.topic.id %}" style="color: inherit">
                                {{ question.topic.name }}
                            </a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">
                            {{ question.question_text|slice:":30" }}
                             {% if question.question_text|length > 30 %}...{% endif %}
                        </li>
                    </ol>
                </div>
            <hr style="margin-top: 0"/>
                <div class="row">
                    <div class="col-8 d-flex  align-items-center">
                        <div>
                            <h4 class="card-title d-flex justify-content-between align-items-center">
                                {{ question.question_text }}
                            </h4>
                        </div>
                    </div>
                    <div class="col-4  vcenter-item wrapper">
                        <a class="btn btn-danger" href="{% url 'deletequestion' question.id %}" role="button" style="float: right; margin: 5px">Smazat</a>
                        <a class="btn btn-primary" href="{% url 'editquestion' question.id %}" role="button" style="float: right; margin: 5px">Upravit</a>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <a class="btn btn-primary" style="float: right" href="{% url 'newpoints' question.id %}" role="button">Zapsat body</a>
                <p class="card-text">Správná odpověď: {{ question.answer }}</p>
                <p class="card-text">Maximální počet bodů: {{ question.max_points }}</p>
{#                <h5 class="card-title">Light card title</h5>#}

            </div>
        </div>
        </div>
    </div>
{% endblock %}

templates/quizapp/quiz.html
{% extends "quizapp/base.html" %}
{% block title %} | Kvíz {{ quiz.start|date:"d. m. Y" }}{% endblock %}
{% block body %}
    <div class="card" >
        <div class="card-body">
            <h5 class="card-title d-flex justify-content-between align-items-center">
                {{ quiz.start|date:"d. m. Y" }}
                {% if quiz.start|date:"d. m. Y" != quiz.end|date:"d. m. Y" %}
                    - {{ quiz.end|date:"d. m. Y" }}
                {% endif %}
                <div class="justify-content-right">
                    <a class="btn btn-primary" href="{% url 'editquiz' quiz.id %}" role="button">Upravit</a>
                    <a class="btn btn-danger" href="{% url 'deletequiz' quiz.id %}" role="button">Smazat</a>
                </div>
            </h5>
            <h6 class="card-subtitle mb-2 text-muted">{{ quiz.start|date:"H:i" }} - {{ quiz.end|date:"H:i" }}</h6>
            <div class="justify-content-left" style="padding-top: 1rem">
                    <a class="btn btn-primary" href="{% url 'registrationsbyquiz' quiz.id %}" role="button">Správa registrací</a>
                    <a class="btn btn-primary" href="{% url 'results' quiz.id %}" role="button">Pořadí</a>
            </div>
        <hr/>
            <p class="card-text">
            <h6 class="card-title d-flex justify-content-between align-items-center">
                Témata:
                <a class="btn btn-primary" href="{% url 'newtopic' quiz.id %}" role="button">Nové téma</a>
            </h6>
            <div class="row align-content-around" style="margin-bottom: 10px; margin-top: 10px">
                {% for topic in topics %}
                    <a class=" col-3" href="{% url 'topic' topic.id %}" style="color: inherit;">
                        <div class="card" style="width: 100%;">
                            <img class="card-img-top" src={% if topic.image and topic.image.strip %}{{ topic.image }}{% else %}"https://wallpapercave.com/wp/wp2013746.jpg"{% endif %} alt="Card image cap" style="height: 8rem; object-fit: cover; width: 100%;">
                            <div class="card-body">
                                <h5 class="card-title">{{ topic.name }}</h5>
                                <p class="card-text">{{ topic.description }}</p>
                            </div>
                        </div>
                    </a>
                    {% if forloop.counter|divisibleby:4 %}</div><div class="row align-content-around" style="margin-bottom: 10px; margin-top: 10px">{% endif %}
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}

templates/quizapp/registrations.html
{% extends "quizapp/base.html" %}
{% block title %} | Registrace {{ team.name }}{% endblock %}
{% block body %}
            <ol class="breadcrumb" style="background-color: transparent; padding-top: 0; padding-bottom: 0; padding: calc(1rem + 30px) calc(1rem + 30px) 0 calc(1rem + 30px) ">
            <li class="breadcrumb-item">
                <a href="{% url 'team' team.id %}" style="color: inherit">
                {{ team.name }}
                </a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">Registrace</li>
        </ol>
    <h3 style="padding: 0 calc(1rem + 30px) calc(1rem + 30px) calc(1rem + 30px)">Registrace týmu {{ team.name }}</h3>
    <div class="row justify-content-around" style="padding: 0 calc(2rem + 30px) 0 calc(2rem + 30px)">
        <div class="card bg-light col-lg-12">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 d-flex  align-items-center">
                        <h5 class="card-title">Přihlásit se na kvíz: </h5>
                    </div>
                </div>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    {% for quiz in quizzes_not_registered %}
                            <hr style="width: 100%"/>
                       </div>
                        <div class="row justify-content-between" style="padding: 0 1rem 0 1rem">
                        <div class="col-8" style="padding: 0">
                             <a href="{% url 'quiz' quiz.id %}">
                                <h5 class="card-title">{{ quiz.start|date:"d. m. Y" }}
                                    {% if quiz.start|date:"d. m. Y" != quiz.end|date:"d. m. Y" %}
                                        - {{ quiz.end|date:"d. m. Y" }}
                                    {% endif %}
                                </h5>
                            </a>
                            <p class="card-text">
                                Témata:
                                {% with quiz.topic_set.all as topics %}
                                    {% for topic in topics %}
                                        {{ topic.name }}
                                    {% endfor %}
                                {% endwith %}
                            </p>
                        </div>
                        <div class="col-1" style="padding: 0">
                            <a class="btn btn-primary" style="float: right" href="{% url 'addregistration' team.id quiz.id 0 %}" role="button">Přihlásit se</a>
                        </div>
                        </div><div class="row">
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
    <div class="row justify-content-around" style="padding: 0 calc(2rem + 30px) 0 calc(2rem + 30px); margin-top: 2rem">
        <div class="card bg-light col-lg-12">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 d-flex  align-items-center">
                        <h5 class="card-title">Odhlásit se z kvízu: </h5>
                    </div>
                </div>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    {% for quiz in quizzes_registered %}
                            <hr style="width: 100%"/>
                       </div>
                        <div class="row justify-content-between" style="padding: 0 1rem 0 1rem">
                        <div class="col-8" style="padding: 0">
                             <a href="{% url 'quiz' quiz.id %}">
                                <h5 class="card-title">{{ quiz.start|date:"d. m. Y" }}
                                    {% if quiz.start|date:"d. m. Y" != quiz.end|date:"d. m. Y" %}
                                        - {{ quiz.end|date:"d. m. Y" }}
                                    {% endif %}
                                </h5>
                            </a>
                            <p class="card-text">
                                Témata:
                                {% with quiz.topic_set.all as topics %}
                                    {% for topic in topics %}
                                        {{ topic.name }}
                                    {% endfor %}
                                {% endwith %}
                            </p>
                        </div>
                        <div class="col-1" style="padding: 0">
                            <a class="btn btn-primary" style="float: right" href="{% url 'deleteregistration' team.id quiz.id 0%}" role="button">Odhlásit se</a>
                        </div>
                        </div><div class="row">
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}